loci.plugins.util

## Class IJStatusEchoer

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>
    - - loci.plugins.util.IJStatusEchoer

- All Implemented Interfaces:
    ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.ILoggingEvent>, ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.FilterAttachable<ch.qos.logback.classic.spi.ILoggingEvent>, ch.qos.logback.core.spi.LifeCycle

      public class IJStatusEchoer
      extends ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>

  Echoes status messages to the ImageJ status bar.

- - ### Field Summary

    - ### Fields inherited from class ch.qos.logback.core.AppenderBase

      `name, started`

    - ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IJStatusEchoer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `append(ch.qos.logback.classic.spi.ILoggingEvent event)`

    - ### Methods inherited from class ch.qos.logback.core.AppenderBase

      `addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, start, stop, toString`

    - ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

- - ### Constructor Detail

    - #### IJStatusEchoer

          public IJStatusEchoer()

  - ### Method Detail

    - #### append

          protected void append(ch.qos.logback.classic.spi.ILoggingEvent event)

      Specified by:
        `append` in class `ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>`

Copyright © 2026 Open Microscopy Environment